/* -*- Mode: Java; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*-
 *
 * The contents of this file are subject to the Netscape Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/NPL/
 *
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 * The Original Code is mozilla.org code.
 * 
 * This code is based on webdeveloper extension 
 * http://webdeveloper.mozdev.org
 * 
 *
 * The Initial Developer of the Original Code is Netscape
 * Communications Corporation.  Portions created by Netscape are
 * Copyright (C) 1998 Netscape Communications Corporation. All
 * Rights Reserved.
 *
 * Contributor(s):
 *   Jawahar Swaminathan <jawahar@ebi.ac.uk>
 */


/*
 * doXxxx function's
 */
// Clears the tool
function biobar_clearLink()
{
	window.opener.biobar_toolDescription = null;
	window.opener.biobar_toolURL         = null;
}

// Initializes the tool dialog box
function biobar_initializeLink()
{
	const stringBundle = document.getElementById("biobar-string-bundle");

	// If the first argument equals add
	if(window.arguments[0] == "add")
	{
		title = stringBundle.getString("biobar_addToolTitle");
	}
	else
	{
		title = stringBundle.getString("biobar_editToolTitle");

		document.getElementById("biobar.tool.description").value = window.arguments[1];
		document.getElementById("biobar.tool.url").value         = window.arguments[2];
	}
}

// Saves the tool
function biobar_saveLink()
{
	const description  = document.getElementById("biobar.tool.description").value.trim();
	const stringBundle = document.getElementById("biobar-string-bundle");
	const url          = document.getElementById("biobar.tool.url").value.trim();
	var errors = "";
	// If the description is empty
	if(!description)
	{
		errors += stringBundle.getString("biobar_emptyDescription") + "\n";
	}

	// If the URL is empty
	if(!url)
	{
		errors += stringBundle.getString("biobar_emptyURL") + "\n";
	}

	// If there are errors
	if(errors)
	{
		alert(errors.trim());

		return false;
	}
	else
	{
		window.opener.biobar_toolDescription = description;
		window.opener.biobar_toolURL         = url;
		return true;
	}
}
